/*
Пример использования
Получение списка транковых портов.
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

data "decort_cb_trunk_list" "name" {    
   #фильтр по id транка 
   #опциональный параметр 
   #тип - массив целых чисел 
   #trunk_ids = [10,11]    

   #фильтр по id учетных записей с доступом к транку 
   #опциональный параметр 
   #тип - массив целых чисел    
   #account_ids = [10,11]       

   #фильтр по тегам транка (значение от 1 до 4095)     
   #опциональный параметр 
   #тип - строка     
   #trunk_tags = "4095"     

   #сортировка по статусу
   #опциональный параметр
   #тип - строка
   #status = "DISABLED" 

   #сортировка по одному из поддерживаемых полей 
   #опциональный параметр 
   #формат - "+поле" по возрастанию / "-поле" по убыванию 
   #тип - строка 
   #sort_by = "+name" 

   #номер страницы для отображения 
   #опциональный параметр 
   #если не задан - выводятся все доступные данные 
   #тип - целое число 
   #page = 1 

   #размер страницы 
   #опциональный параметр 
   #если не задан - выводятся все доступные данные 
   #тип - целое число 
   #size = 1    
}

output "test" {
  value = data.decort_cb_trunk_list.name
}